﻿using Abp.Configuration;
using Abp.Runtime.Validation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BCS.BMC.ClientMasters.Dto
{
    public class GetCompanyInput : PagedSortedFilteredInputDto, IShouldNormalize
    {
        public void Normalize()
        {
            if (string.IsNullOrEmpty(Sorting))
            {
                Sorting = "client.Name";
            }    
            else
            {
                Sorting = "client." + Sorting;
            }
        }
        public int? Searchby { get; set; }
        public int? Id { get; set; }
    }
}

