﻿using Abp.AutoMapper;
using BCS.BMC.BMC.FirebaseCloudMessages;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BCS.BMC.FirebaseCloudMessaging.Dto
{
    [AutoMapTo(typeof (FirebaseCloudMessageDetails))]
    public class NotificationModel
    {
        public string FcmToken { get; set; }

        public string Message { get; set; }
        public DateTime? MessageSentDateTime { get; set; }

        public string SenderImageurl { get; set; }
        public string SenderName { get; set; }

        public bool Status { get; set; }
        public string UserId { get; set; }
        public long? BmcID { get; set; }
        public string CompanyUrl { get; set; }
        public long? ScheduleGenerationId { get; set; }
    }
}
