﻿using Abp.AutoMapper;
using BCS.BMC.Roles.Dto;
using BCS.BMC.Web.Models.Common;

namespace BCS.BMC.Web.Models.Roles
{
    [AutoMapFrom(typeof(GetRoleForEditOutput))]
    public class EditRoleModalViewModel : GetRoleForEditOutput, IPermissionsEditViewModel
    {
        public bool HasPermission(FlatPermissionDto permission)
        {
            return GrantedPermissionNames.Contains(permission.Name);
        }
    }
}
